Bug 1415682 - Changes introduced by rebase to 2.12.23 break API and ABI compatibility for some libraries
Summary: Changes introduced by rebase to 2.12.23 break API and ABI compatibility for s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnutls
Version: 6.8
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: rc
: ---
Assignee: Nikos Mavrogiannopoulos
QA Contact: Hubert Kario
Mirek Jahoda
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 12:32 UTC by Hubert Kario
Modified: 2017-03-21 09:05 UTC (History)
3 users (show)

Fixed In Version: gnutls-2.12.23-20.el6
Doc Type: Deprecated Functionality
Doc Text:
*GnuTLS* no longer provides cryptographic back-end replacement APIs The functions implementing cryptographic back-end replacement are considered obsolete and act as no-operation functions now. The following functions exported in the `gnutls/crypto.h` file are affected: * gnutls_crypto_single_cipher_register2 * gnutls_crypto_single_mac_register2 * gnutls_crypto_single_digest_register2 * gnutls_crypto_cipher_register2 * gnutls_crypto_mac_register2 * gnutls_crypto_digest_register2 * gnutls_crypto_rnd_register2 * gnutls_crypto_pk_register2 * gnutls_crypto_bigint_register2
Clone Of:
Environment:
Last Closed: 2017-03-21 09:05:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1430527 0 urgent CLOSED GNUTLS change broke qemu-kvm build for RHEL 6.9 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2017:0574 0 normal SHIPPED_LIVE Moderate: gnutls security, bug fix, and enhancement update 2017-03-21 12:23:04 UTC

Internal Links: 1430527

Description Hubert Kario 2017-01-23 12:32:32 UTC
Description of problem:
GNUTLS_1_6 symbols were removed from libgnutlsxx
gnutls_pk_params_st changed size

Version-Release number of selected component (if applicable):
gnutls-2.12.23-17.el6

How reproducible:
always

Steps to Reproduce:
1. inspect header files, readelf so's, compare between versions

Actual results:
differences causing ABI incompatibility

Expected results:
no ABI breakage

Additional info:

Comment 7 errata-xmlrpc 2017-03-21 09:05:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0574.html


Note You need to log in before you can comment on or make changes to this bug.